petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscBagRegisterBoolArray

add a n logical values to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterBoolArray(PetscBag bag,void *addr,PetscInt msize, const char* name, const char* help)

Logically Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of boolean array in struct
| msize | - number of entries in array
| name | - name of the boolean array
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html